<template>
  <div>
    <div>
      <Button :action="sayHello" text="Primary" />
      <Button :action="sayHello" text="Success" buttonType="success"/>
      <Button :action="sayHello" text="Warning" buttonType="warning"/>
      <Button :action="sayHello" text="Danger" buttonType="danger"/>
      <Button :action="sayHello" text="Disabled" buttonType="disabled"/>
    </div>
    <div>
      <Button :action="sayHello" text="PrimaryAlt" buttonType="primaryAlt"/>
      <Button :action="sayHello" text="SuccessAlt" buttonType="successAlt"/>
      <Button :action="sayHello" text="WarningAlt" buttonType="warningAlt"/>
      <Button :action="sayHello" text="DangerAlt" buttonType="dangerAlt"/>
      <Button :action="sayHello" text="DisabledAlt" buttonType="disabledAlt"/>
    </div>
    <div>
      <Input 
        label="Email"
        inputType="email"
        model="email"
      />
      <Input 
        label="Emails"
        inputStyle="disabled"
        inputType="email"
        model="email"
      />
    </div>
    <div>
      <Toogle label="Toggle" model="isToggled"/>
    </div>
    <div>
      <Checkbox label="Checkbox" model="isChecked"/>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

interface ComponentListData {
  isChecked: boolean;
  isToggled: boolean;
  email: string;
}

export default Vue.extend({
  data(): ComponentListData {
    return {
      isChecked: true,
      isToggled: true,
      email: '',
    };
  },

  methods: {
    sayHello(): void {
      alert('heelo');
    },
  },
});
</script>
